List Disputes
curl --request GET \
--url https://api.bachs.io/v1/disputes \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.bachs.io/v1/disputes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.bachs.io/v1/disputes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.bachs.io/v1/disputes"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"total": 1,
"items": [
{
"dispute_id": "dsp_3e7b1c9a2f48",
"charge_id": "ch_8f3a1c9b4e72",
"amount": "75.00",
"currency": "USD",
"status": "needs_response",
"is_response_editable": true,
"reason": "fraudulent",
"response_deadline_at": "2026-03-23T23:59:59.000Z",
"created_at": "2026-03-09T08:00:00.000Z",
"updated_at": "2026-03-09T08:00:00.000Z"
}
]
}{
"detail": "Invalid request parameters",
"error_code": "VALIDATION_ERROR",
"errors": [
{
"field": "amount",
"message": "Amount must be a positive decimal string",
"type": "value_error"
}
]
}{
"detail": "Invalid API key",
"error_code": "UNAUTHORIZED"
}{
"detail": "API key does not have permission for this operation",
"error_code": "FORBIDDEN"
}{
"detail": "Resource not found",
"error_code": "NOT_FOUND"
}{
"detail": "Rate limit exceeded. Please retry after a few seconds.",
"error_code": "TOO_MANY_REQUESTS"
}{
"detail": "An unexpected error occurred. Please try again later.",
"error_code": "INTERNAL_SERVER_ERROR"
}Disputes
List Disputes
Retrieve a paginated list of disputes for your account. Results are returned with the most recently created disputes first.
GET
/
v1
/
disputes
List Disputes
curl --request GET \
--url https://api.bachs.io/v1/disputes \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.bachs.io/v1/disputes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.bachs.io/v1/disputes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.bachs.io/v1/disputes"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"total": 1,
"items": [
{
"dispute_id": "dsp_3e7b1c9a2f48",
"charge_id": "ch_8f3a1c9b4e72",
"amount": "75.00",
"currency": "USD",
"status": "needs_response",
"is_response_editable": true,
"reason": "fraudulent",
"response_deadline_at": "2026-03-23T23:59:59.000Z",
"created_at": "2026-03-09T08:00:00.000Z",
"updated_at": "2026-03-09T08:00:00.000Z"
}
]
}{
"detail": "Invalid request parameters",
"error_code": "VALIDATION_ERROR",
"errors": [
{
"field": "amount",
"message": "Amount must be a positive decimal string",
"type": "value_error"
}
]
}{
"detail": "Invalid API key",
"error_code": "UNAUTHORIZED"
}{
"detail": "API key does not have permission for this operation",
"error_code": "FORBIDDEN"
}{
"detail": "Resource not found",
"error_code": "NOT_FOUND"
}{
"detail": "Rate limit exceeded. Please retry after a few seconds.",
"error_code": "TOO_MANY_REQUESTS"
}{
"detail": "An unexpected error occurred. Please try again later.",
"error_code": "INTERNAL_SERVER_ERROR"
}Authorizations
Bearer token authentication. Pass your API key as Authorization: Bearer sk_.... See Authentication for keys, scopes, and sandbox vs production.
Query Parameters
Number of disputes to return. Minimum 1 and maximum 100.
Required range:
1 <= x <= 100Number of disputes to skip before returning results.
Required range:
x >= 0Filter disputes by status.
Available options:
needs_response, under_review, won, lost, closed Return disputes created at or after this timestamp (ISO 8601).
Return disputes created at or before this timestamp (ISO 8601).

